Skip to main content
Resource Center/Resource Pool/Affinity Group Operations

QueryAffinityGroup

QueryAffinityGroup

GET/zstack/v1/affinity-groups
GET/zstack/v1/affinity-groups/{uuid}

Operation ID

QueryAffinityGroup

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • policy
      StringRequired

      The affinity group policy.

    • version
      StringRequired

      The version of the affinity group allocation algorithm.

    • type
      StringRequired

      The affinity group type. The current type is host. In the future, network, router, data center, and rack affinity groups will be supported.

    • appliance
      StringRequired

      The affinity group appliance.

    • state
      StringRequired

      The resource state.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • usages
      ListRequired

      See usages.

      • uuid
        StringRequired

        The resource binding UUID of the affinity group.

      • affinityGroupUuid
        StringRequired

        The affinity group UUID.

      • resourceUuid
        StringRequired

        The UUID of the resource that joins the affinity group.

      • resourceType
        StringRequired

        The type of the resource that joins the affinity group.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.